
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用coffeescript编写node.js项目的方法汇总_javascript技巧 / iVAN</title>

    <meta name="description" content="使用coffeescript编写node.js项目的方法汇总_javascript技巧 Node.js 基于JavaScript编写应用,JavaScript是我的主要开发语言.CoffeeScript是编译为JavaScript的编程语言.其实CoffeeScript语言因其可以一对一的翻译为JavaScript的特性,使用起来也非常灵活.将其引入项目的方式也有很多种,在此,我将使用coffeescript编写node.js项目的方法做一个汇总. 直接使用coffee指令运行纯coffeescript项目 一般提起coffeescript,自然而然地会想到他是javascript">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用coffeescript编写node.js项目的方法汇总_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Node.js 基于JavaScript编写应用，JavaScript是我的主要开发语言。CoffeeScript是编译为JavaScript的编程语言。其实CoffeeScript语言因其可以一对一的翻译为JavaScript的特性，使用起来也非常灵活。将其引入项目的方式也有很多种，在此，我将使用coffeescript编写node.js项目的方法做一个汇总。</p>
<p><strong>直接使用coffee指令运行纯coffeescript项目</strong><br />
一般提起coffeescript，自然而然地会想到他是javascript的小弟，总脱离不了js的阴影。其实你完全可以把它认作是独立的语言。 我们都知道，在node平台上全局安装完coffee-script包后，就可以通过coffee指令进入coffeescript的交互界面， 叫它repl也行。如果你的项目完全是用coffee写的，那就简单了，直接对你的入口脚本使用coffee指令就结了， 比如你的入口脚本名为“app.coffee”，那就执行：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>coffee app.coffee</p>
<p>注意，这里的扩展名coffee是不能省略的。<br />
<br />这个方式应该说是使用coffeescript最“官方”的方式。简单，直接！而且，一旦你以一个coffee文件作为项目的入口， 那整个项目就同时兼容coffee和js了。你在项目里可以任意require js或coffee文件及模块， 甚至可以在项目中的js文件中随便require coffee文件。并且在你引用无论是coffee还是js文件的时候都无需扩展名， 只要前面部分名称不冲突就行。</p>
<p>这个方式有个最大的问题就是，如果它作为一个模块，只能被用于coffee项目；如果他作为一个应用， 运行环境必须安装coffee-script。毕竟coffeescript现在还是一个小众语言，它作为模块时丧失了js用户实在可惜。</p>
<p>另一个也许存在的缺点是性能方面的，毕竟node里面只有js引擎，coffee代码需要先编译为js再运行， 这个过程是要消耗一点点时间的，尽管coffee到js的编译速度其实挺快的。不过这应该不是什么大问题， 一般来说，require都是写在文件的顶部，也就是应用在启动的时候就一气儿把该require的文件都require了， require的时候coffee就被编译成了js放到了js引擎中，那么编译消耗的那点时间都集中在了应用启动时， 运行时几乎不会遇到require新的coffee的情况了。node最常见的使用场景是web服务器，这就更没问题了。</p>
<p><strong>在javascript项目中引用coffeescript</strong><br />
npm中的coffee-script既可以全局安装，也可以作为项目的一个模块安装。那coffee-script作为项目的一个模块有啥意义呢？ 其实是给项目添加了一个coffeescript的编译器，这个项目就可以在运行时随时编译coffee文件。</p>
<p>你一定希望像第一种方式里那样随便引用coffee文件。没问题，只需要注册一下。假如你的项目入口文件是app.js， 那么只需要在这个文件最前面加上这么一句：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>require('coffee-script/register');</p>
<p>然后你就可以在项目中随便require coffee文件了。<br />
<br />这个方式本质上和第一种方式没啥区别，只不过coffee-script没安装在全局，因此你的模块可以独立存在， 作为应用也不需要环境安装好coffee-script了。</p>
<p>缺点嘛，我觉得最大的问题就是容易让代码有些乱，一会儿js，一会儿coffee，当然第一种方式也可能会这样， 不过都用coffee启动了里面应该不会写js了吧……总之我觉得一个项目还是把语言统一起来比较好 （遗憾的是我主要用这种方式，在一个已经用js写出了大体结构的项目里，我就想用coffee肿么办……）</p>
<p>性能问题上跟第一种方式一样，不多说了。</p>
<p>正统的方式——编译<br />
一说编译，就感觉回到了正儿八经的C或Java的时代。的确，作为一个编译型语言，编译后再运行才是正道。 c有gcc，java有javac，cofee有coffee -c。</p>
<p>要编译一个cofee文件很简单，比如要编辑app.coffee这个文件，就在文件的当前目录执行：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>coffee -c app.coffee</p>
<p>一个名为app.js的文件就出现在当前目录下了。这个指令也可以应用于目录， 比如你把项目中所有的coffee源文件放到了src目录下，那就执行：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>coffee -c src</p>
<p>src目录及其各级子目录下的所有coffee源文件都会编译成js文件，放到和源文件相同的目录中。<br />
<br />不过对于大型项目，把源文件和编译结果文件放到一起可不太好。指定一个输出目录就行了：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>coffee -c -o outputs src</p>
<p>这个指令的参数顺序有点奇怪。在coffee的帮助里是这么定义的：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>coffee [options] path/to/script.coffee -- [args]</p>
<p>注意，所有的选项（options）都在coffee和文件路径之间。而最后的args是把目标文件作为脚本执行时给传递的参数。 也就是说所有的选项都放在coffee和文件名之间就可以了。 而-c这个选项是单独的，没有自己的参数，它只表示要把指令最后面提供的那个文件给编译了，所以写成这样也行：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>coffee -o outputs -c src</p>
<p>假如想再加个选项，让编译结果不被自执行函数体包围，就是：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>coffee -o outputs -c -b src</p>
<p>再假如想把所有源文件编译成一个名为out.js的目标文件，就是：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>coffee -o outputs -c -j out src</p>
<p>如果每次改点代码都要这么执行指令也挺烦人的。coffee指令有一个选项-w可以监视源文件的变动而自动编译：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>coffee -o outputs -c -w src</p>
<p>对于大型项目来说，最好提前确定好编译方式，让所有开发人员只需要一个指令就搞定所有编译的事情，这就需要自动化构建了。<br />
<br />offee提供了一个自动化构建工具，cake，就像c世界的make。 不过就像官网上说的那样，cake是一个很简单的构建系统。实际上cake的功能就是执行一个名为cakefile的脚本， 而cakefile脚本是用coffeescript写的。这个脚本只提供非常有限的内建函数，比如task， 用于声明一个指令及其对应的描述和执行函数。其它的就是在写一个纯粹的node项目， 想完成编译要么使用node的fs模块输出coffee模块编译出来的字符串， 要么用child_process模块执行shell指令。其实cake构建的目标不一定必须是coffee，由于它实际是执行一个node脚本， 处理任何自动化的事情都可以。</p>
<p>另外还有一些更优秀的第三方自动化构建工具也可以完成coffee的自动编译，比如著名的Grunt，以及国内的fekit等。</p>
<p>这种正统的编译方式也许是看起来最可靠的，应该深受老程序员的喜爱。它可以让团队形成固定的开发模式。 另外，编译后的项目就成了纯的js项目，无论是作为应用直接运行还是作为模块被别的项目引用都不需要额外的依赖。 并且在运行时不需要编译，也就完全不存在编译导致的性能问题了。</p>
<p>缺点嘛，就是太麻烦。如果你是要做一个不太大的项目，光搞cakefile或者配置grunt就要费半天时间，不太值得。</p>
<p> 通过以上内容总结，其实在使用coffeescript编写node.js项目可以非常简单，接下来希望大家抓紧把coffee用起来。同时也希望以上内容对大家有所帮助。 </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:14:42</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/coffeescript/" title="coffeescript">coffeescript</a>, <a href="https://www.iamivan.net/tag/node-js%e9%a1%b9%e7%9b%ae/" title="node&period;js项目">node&period;js项目</a>, <a href="https://www.iamivan.net/tag/node-js_coffeescript/" title="node&period;js&lowbar;coffeescript">node&period;js&lowbar;coffeescript</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用coffeescript编写node.js项目的方法汇总_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK5YWdp.html" rel="bookmark">js创建对象的方法汇总&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js一个有三种方法创建对象,这里做一个总结. 1.对象直接量 所谓对象直接量,可以看做是一副映射表,这个方法也是最直接的一个方法,个人比较建议, //创建简单对象 var obj1 = {}; //空对象 var obj2 = { name: &quot;ys&quot;, age: 12 }; //创建复杂对象 var obj3 = { name: &quot;ys&quot;, age: 12, like: { drink: &quot;water&quot;, eat: &quot;food&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Zr4vb.html" rel="bookmark">浅析JS刷新框架中的其他页面 &amp;amp&semi;amp&semi;&amp;amp&semi;amp&semi; JS刷新窗口方法汇总&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先来看一个简单的例子:下面以三个页面分别命名为frame.html.top.html.bottom.html为例来具体说明如何做.frame.html 由上(top.html)下(bottom.html)两个页面组成,代码如下: 复制代码 代码如下: &lt;! DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0 Transitional//EN&quot; &gt;&lt; HTML &gt;&lt; HEAD &gt;&lt; TITLE &gt; frame			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgV4k6b.html" rel="bookmark">调试Node&period;JS的辅助工具&lpar;NodeWatcher&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				貌似在Windows平台下不支持 fs.watchfile .我又不想使用IIS NODE,所以我花了点时间写了个帮助调试的小工具. 这个工具可以做到: 监视主js文件下所有子目录相关文件的更改.有更改后重启Node进程 可以将日志输出到此工具,便于在浏览器里检视. 用法: NodeWatcher.exe main.js 所有参数: 复制代码 代码如下: NodeWatcher.exe 主JS程序 [其它可选参数] 主JS程序必须指定.相当于 node 主js程序 -r :[true | fal			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWyDKz.html" rel="bookmark">常用js字符串判断方法整理&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js工具-js常用方法,js常用判断方法 SUMMARY : 复制代码 代码如下: function obj$(id) 根据id得到对象 function val$(id) 根据id得到对象的值 function trim(str) 删除左边和右边空格 function ltrim(str) 删除左边空格 function rtrim (str) 删除右边空格 function isEmpty(str) 字串是否有值 function equals(str1, str2) js判断比较两字符串是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmvgOp.html" rel="bookmark">JS重载实现方法分析&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例分析了JS重载实现方法.分享给大家供大家参考,具体如下: 重载是面向对象语言里很重要的一个特性,JS中没有真正的重载,是模拟出来的(因为js是基于对象的编程语言,不是纯面向对象的,它没有真正的多态:如继承.重载.重写) 一.什么时候用重载? 举例: function getDataTop10(){ alert(&quot;返回前10条数据&quot;); } 后来需求改了,需要获得20条数据,而getDataTop10又被很多函数调用了,整体替换可以但麻烦,这时可以用重载 进而引出什么是重载:函数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPl6QAp.html" rel="bookmark">JavaScript 用Node&period;js写Shell脚本&lbrack;译&rsqb;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				访问参数 你可以通过process.argv来访问到命令行参数,它是一个包含下列内容的数组: [ nodeBinary, script, arg0, arg1, ... ] 也就是说,第一个参数是从process.argv[2]开始的,你可以像下面这样遍历所有的参数: 复制代码 代码如下: process.argv.slice(2).forEach(function (fileName) { ... }); 如果你想对参数做更复杂的处理,可以看一下Node.js模块nomnom和optimist			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWqrPz.html" rel="bookmark">JS控制伪元素的方法汇总&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一. 缘由: 本文源于在OSC社区中,有人提问如何用jq获取伪元素.我第一想法是强大的CSS Query应该可以获取伪元素吧. 然而事实上,CSS Query并不能.即我们不能通过$(&quot;:before&quot;).$(dom).find(&quot;:before&quot;)或document.querySelector(&quot;:before&quot;)来获取:before伪元素. 为此,我不得不重新了解伪元素(Pseudo-elements).为什么不能用JS直接获取伪元素呢? 譬			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boL8K6M.html" rel="bookmark">动态加载js的方法汇总&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例汇总了动态加载js的方法.分享给大家供大家参考.具体如下: 方法一:直接document.write(异步) 复制代码 代码如下: &lt;script language=&quot;javascript&quot;&gt;       document.write(&quot;&lt;script src='res/extwidget/echarts/xx.js'&gt;&lt;\/script&gt;&quot;); &lt;/script&gt; 由于这种方式是异步加载,document.w			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOnJe9p.html" rel="bookmark">JavaScript判断数字是否为质数的方法汇总&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 今天看到一个题目,让判断一个数字是否为质数.看上去好像不难.因此,我决定实现一下. DOM结构 &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt;计算500以内的质数并输出&lt;/title&gt; &lt;meta name=&quot;viewport&quot; content=&quot;width=d			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJnZwz.html" rel="bookmark" class="title">在Recordset对象中查询记录的方法</a>
					<div>
						无论是 DAO 还是 ADO 都有两种从 Recordset 对象中查询记录的方法: Find 方法和 Seek 方法.在这两种方法中可以让你指定条件进行查询与其相应的记录 , 一般而言,在相同条件下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMllY8M.html" rel="bookmark" class="title">Photoshop鼠绘教程&colon;可爱的粉色美女插画</a>
					<div>
						好看的插画当然在制作的时候是要更多的努力和细心.不仅需要精心安排每一个元素,就连细节部分都需要全力去刻画,把质感,光感,立体感等全部完美的表现出来,这样出来的作品才是精品 .最终效果 1.起草和勾线我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ5o0b.html" rel="bookmark" class="title">Flash二级菜单的制作</a>
					<div>
						菜单|二级菜单 用这种方式建立的菜单要求你拒绝使用按钮的 on (rollOut) 事件.而改用 on(rollOver) 和灵活应用上层按钮对下层按钮的遮蔽作用. 首先,这也是最重要的一步: 建一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN8Nlb.html" rel="bookmark" class="title">FMS3系列&lpar;四&rpar;：在线视频录制、视频回放</a>
					<div>
						使用Flash/Flex+FMS实现在线视频录制.视频回放的很简单的.通过阅读API文档后基本都可以实现这个功能,本文也意在抛砖引玉,希望对刚入手这块的朋友有所帮助. 首先建立好Flash(Actio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjZO6p.html" rel="bookmark" class="title">Exchange 2013邮件系统（一）新增功能</a>
					<div>
						开始新的专题之前,先费些口舌来说说Exchange 2013 中的新增功能,来了解微软全新的邮件体系架构. 2012年12月4日微软Exchange Server 2013正式上市,我们可以从Tech ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7yWEb.html" rel="bookmark" class="title">SQL Server 2008的透明数据加密</a>
					<div>
						对一个数据库管理员来说,当要保护你所支持的数据库时,安全是要考虑的最重要方面之一.我们使 用多种机制和技术来保护我们的数据和数据库,例如防火墙.认证和数据加密.不过尽管我们为我们的环 境设置了安全,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4AvOp.html" rel="bookmark" class="title">百度浏览器无痕浏览怎么设置</a>
					<div>
						  百度浏览器无痕浏览怎么设置 方法一: 1.首先我们打开百度浏览器,点击浏览器右侧的三条横线.点击&quot;隐私窗口&quot; 2.然后我们在新的页面操作 方法二: 打开你的百度浏览器直接按 c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjdq3p.html" rel="bookmark" class="title">如何关闭搜狗输入法候选字中的表情</a>
					<div>
						  1.右击输入法,在弹出的窗口中打开设置属性. 2.在弹出的属性设置的窗口中左边一栏选择高级选项. 3.在弹出的窗口的第四行,取消图片表情选项就可以啦.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw4n4z.html" rel="bookmark" class="title">word中剪切的快捷键是什么</a>
					<div>
						word中剪切的快捷键是什么? word中剪切的快捷键是Ctrl+X,以前小编被别人忽悠过是ctrl+W.结果被电脑山按住ctrl+W把浏览器给关掉了.也有人曾经以为是ctrl+t,其实都不是的.如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxW2BRb.html" rel="bookmark" class="title">IE浏览器首页被篡改、重置IE还原到最初的安装状态</a>
					<div>
						  相信对于很多网友来说都有这样经历,ie浏览器的首页被莫名其妙的篡改,又或者IE浏览器多出一些无关的加载项,影响浏览器的运行速度. 更糟的是,这些加载项自身难以被卸载,致使您的IE浏览器一直处于不良 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQra1WM.html" rel="bookmark" class="title">谁有类似网易新闻视听电台播放器的源码啊？</a>
					<div>
						问题描述 谁有类似网易新闻视听电台播放器的源码啊? 5C 求救.很着急.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwJl1p.html" rel="bookmark" class="title">Java 你的多继承纳？</a>
					<div>
						  Java省略了许多很少用到,缺乏了解,混淆功能的C + +,在我们的经验中带来更多的悲伤大于收益 .                                                 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7mRWz.html" rel="bookmark" class="title">Informatica开创自助分析新时代</a>
					<div>
						通过专业分析员和IT进行数据分析的日子已经过去.今天,由于所有员工都能够接触到更多数据,并通过自助数据可视化和业务发现解决方案加快数据应用,数据分析和整个商业智能(BI)市场正受到破坏,同时这些新功能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PawQp.html" rel="bookmark" class="title">oracle函数返回游标和记录的问题</a>
					<div>
						问题描述 oracle函数返回游标和记录的问题 编写一个函数,要求通过编号显示员工的姓名和工资,返回记录或者游标需要在函数内定义还是定义函数之前定义?表结构: table emp( eno char( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwl4KM.html" rel="bookmark" class="title">Swift语言指南&lpar;九&rpar;--基本运算符</a>
					<div>
						原文:Swift语言指南(九)--基本运算符 运算符(operator)是用来检查,改变或合并值的一种特殊符号或短语.例如,加号运算符让两个数字相加(如:let i = 1 + 2),还有些更复杂的运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeGj1b.html" rel="bookmark" class="title">编译原理课设求大神帮忙</a>
					<div>
						问题描述 编译原理课设求大神帮忙 使用算符优先算法,处理正规式中必须有括号,生成NFA使用邻接链表存储 解决方案 http://www.docin.com/p-403177271.html 解决方案二 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZA6WM.html" rel="bookmark" class="title">乐视秒杀：每秒十万笔交易的数据架构解读</a>
					<div>
						随着乐视硬件抢购的不断升级,乐视集团支付面临的请求压力百倍乃至千倍的暴增.作为商品购买的最后一环,保证用户快速稳定地完成支付尤为重要.所以在2015年11月,我们对整个支付系统进行了全面的架构升级,使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJADl4p.html" rel="bookmark" class="title">用浏览器管理 Docker</a>
					<div>
						用浏览器管理 Docker Docker 越来越流行了.在一个容器里面而不是虚拟机里运行一个完整的操作系统是一种非常棒的技术和想法.docker 已经通过节省工作时间来拯救了成千上万的系统管理员和开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm1EAb.html" rel="bookmark" class="title">《Java核心技术 卷Ⅱ　高级特性（原书第10版）》一3&period;6&period;2　使用StAX解析器</a>
					<div>
						3.6.2 使用StAX解析器 StAX解析器是一种&quot;拉解析器(pull parser)&quot;,与安装事件处理器不同,你只需使用下面这样的基本循环来迭代所有的事件: 解析器将产生下面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLggVAM.html" rel="bookmark" class="title">李毅吧主被指主年入百万</a>
					<div>
						李毅指控吧主靠置顶广告帖捞金 叹旧日&quot;帝吧的内涵和欢乐都已灰飞烟灭&quot; 近期,&quot;屌丝大帝&quot;李毅发布了多条微博,直指有&quot;百度第一贴吧&quot;之称的李毅 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJq4r6p.html" rel="bookmark" class="title">&lbrack;org&period;hibernate&period;internal&period;util&period;xml&period;ErrorLogger&rsqb;</a>
					<div>
						问题描述 [org.hibernate.internal.util.xml.ErrorLogger] 有没有大神看看这是哪里出错了 2015-09-06 14:19:12,374 ERROR [org ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeGGkM.html" rel="bookmark" class="title">android-Android 软件更新问题</a>
					<div>
						问题描述 Android 软件更新问题 在Manifest 文件中添加android:sharedUserId=&quot;android.uid.system&quot;之后程序无法进行更新下载操作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RJgqz.html" rel="bookmark" class="title">米奇网被指拖欠货款 遭CEO否认</a>
					<div>
						7月17日消息 日前米奇网在朝阳建外SOHO的办公楼下聚集了一批拉条幅追讨合作款的供应商,米奇网被指拖欠供应商数百万货款,且濒临倒闭. 作家火传鲁6月曾在微博上@米奇网创始人马强和米奇网副总裁田威,称 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVGvlz.html" rel="bookmark" class="title">网络媒体&OpenCurlyDoubleQuote;走转改&rdquo;</a>
					<div>
						5月6日,网络http://www.aliyun.com/zixun/aggregation/894.html&quot;&gt;媒体&quot;走转改&quot;报道组来到北京市平谷区黄松峪乡白玉寺 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2EyYz.html" rel="bookmark" class="title">go语言中range用法&lowbar;Golang</a>
					<div>
						本文实例讲述了go语言中range用法.分享给大家供大家参考.具体分析如下: range是go语言系统定义的一个函数. 函数的含义是在一个数组中遍历每一个值,返回该值的下标值和此处的实际值. 假如说a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZaxAz.html" rel="bookmark" class="title">浅谈ASP&period;NET中MVC 4 的JS&sol;CSS打包压缩功能&lowbar;实用技巧</a>
					<div>
						今天在使用MVC4打包压缩功能@Scripts.Render(&quot;~/bundles/jquery&quot;) 的时候产生了一些疑惑,问什么在App_Start文件夹下BundleConfi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYRkJb.html" rel="bookmark" class="title">Python命令行参数解析模块optparse使用实例&lowbar;python</a>
					<div>
						示例 复制代码 代码如下: from optparse import OptionParser [...] def main():     usage = &quot;usage: %prog [op ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEONBz.html" rel="bookmark" class="title">使用Jackson来实现Java对象与JSON的相互转换的教程&lowbar;java</a>
					<div>
						一.入门Jackson中有个ObjectMapper类很是实用,用于Java对象与JSON的互换.1.JAVA对象转JSON[JSON序列化] import java.io.IOException;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWPdKz.html" rel="bookmark" class="title">怎么点击按钮往gridview中添加多行数据</a>
					<div>
						问题描述 List&lt;Student&gt;list=newList&lt;Student&gt;();privatevoidbutton1_Click(objectsender,EventArg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5wZ8z.html" rel="bookmark" class="title">调试-C&num;小菜求助（有截屏）</a>
					<div>
						问题描述 C#小菜求助(有截屏) ):C#生成DEBUG时coreclean清理了需要的dll文件,怎么禁止它清理? 解决方案 你在项目里将dll引用设置成 copy always 下次build时会 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
